#!/bin/sh
[ -n "${0%/*}" ] && cd "${0%/*}"
. ./lib.sh

if [ ! -x ../otpcli ]; then
	plan 0 "skip: build otpcli first"
	exit 1
fi

# base32("12345678901234567890")
key=GEZDGNBVGY3TQOJQGEZDGNBVGY3TQOJQ

plan 10

check "counter 0" 755224 ../otpcli -H 0 "$key"
check "counter 1" 287082 ../otpcli -H 1 "$key"
check "counter 2" 359152 ../otpcli -H 2 "$key"
check "counter 3" 969429 ../otpcli -H 3 "$key"
check "counter 4" 338314 ../otpcli -H 4 "$key"
check "counter 5" 254676 ../otpcli -H 5 "$key"
check "counter 6" 287922 ../otpcli -H 6 "$key"
check "counter 7" 162583 ../otpcli -H 7 "$key"
check "counter 8" 399871 ../otpcli -H 8 "$key"
check "counter 9" 520489 ../otpcli -H 9 "$key"
